# $Revision: 1.14 $, $Date: 2002/04/20 12:48:04 $
Summary:	GGI version of SVGA Library
Summary(pl):	Wersja GGI biblioteki SVGA
Name:		svgalib4ggi
Version:	0.6
Release:	4
License:	distributable
Group:		Libraries
Source0:	ftp://ftp.ggi-project.org/pub/ggi/ggi/current/%{name}-%{version}.tar.gz
URL:		http://www.ggi-project.org/
BuildRequires:	autoconf
BuildRequires:	libggi-devel
BuildRequires:	libgii-devel
Provides:	svgalib
Obsoletes:	svgalib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is LibGGI wrapper for SVGAlib. It makes SVGAlib programs work
with LibGGI making them much more portable.

%description -l pl
To jest wrapper GGI do SVGAlib. Pozwala uruchamia programy pisane dla
SVGAlib pod GGI, robic je bardziej przenonymi.

%package devel
Summary:	Include files for [S]VGA graphics
Summary(pl):	Pliki nagwkowe do grafiki [S]VGA
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	svgalib-devel
Obsoletes:	svgalib-devel

%description devel
These are header files that are needed to build programs which use
SVGAlib/svgalib4ggi.

%description devel -l pl
To s pliki nagwkowe potrzebne do kompilowania programw uywajcych
SVGAlib/svgalib4ggi.

%prep
%setup -q

%build
autoconf
%configure \
	--disable-debug
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

gzip -9nf README NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.gz NEWS.gz
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*.h
%attr(755,root,root) %{_libdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: svgalib4ggi.spec,v $
Revision 1.14  2002/04/20 12:48:04  kloczek
- release 4.

Revision 1.13  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.12  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:15:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/21 19:50:17  qboosh
- run autoconf (ac 2.52 ready)
- pl translations
- release 3

Revision 1.9  2001/05/23 02:14:54  qboosh
- use %%rpmldflags

Revision 1.8  2000/12/18 21:16:26  alchemyx
- some cleaning
- added missing requires for building
- now builds properly
- release 2

Revision 1.7  2000/06/09 07:55:11  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.3  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 20 1999 Jacek Konieczny <jajcus@pld.org.pl>
  [0.6-1]
- initial package,
- spec file based on svgalib spec
